Skip to main content
GET
/
audit-events
/
{audit-event-id}
JavaScript
import Courier from '@trycourier/courier';

const client = new Courier({
  apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});

const auditEvent = await client.auditEvents.retrieve('audit-event-id');

console.log(auditEvent.actor);
{
  "auditEventId": "abc-123",
  "actor": {
    "id": "abc-123",
    "email": "user@example.com"
  },
  "target": "string",
  "source": "string",
  "timestamp": "2024-01-15T10:30:00.000Z",
  "type": "string"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

audit-event-id
string
required

A unique identifier associated with the audit event you wish to retrieve

Response

200 - application/json
auditEventId
string
required
actor
Actor ยท object
required
target
string
required
source
string
required
timestamp
string
required
type
string
required